---
environments:
{{ readFile (print (env "PWD") "/bases/__base.yaml") | nindent 2 }}
  pre:
    values:
      - !!merge <<: *regional_cluster_defaults
      - &pre_values
        artifacts_cdn_domain: cdn.artifacts.pre.gitlab-static.net
        env_prefix: pre
        cluster: pre-gitlab-gke
        flagger-canaries: {}
        gitlab:
          gitlab-shell:
            enabled: true
          webservice:
            enabled: true
        gitlab_domain: "pre.gitlab.com"
        gitlab_endpoint: "https://pre.gitlab.com"
        gitlab_extras:
          api_no_proxy: true
          flagger_canaries: false
          ingress_readiness: true
        google_project: "gitlab-pre"
        nginx-ingress:
          enabled: true
        region: us-east1
        registry:
          enabled: true
        registry_api_host: "registry.pre.gitlab.com"
        registry_bucket_name: "gitlab-pre-registry"
        registry_deployment_for_image_tag: "gitlab-registry"
        registry_path: "us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images"
        registry_version: v3.83.0-gitlab
